io_uring_prep_uring_cmd(3)

NAME
io_uring_prep_uring_cmd - prepare a uring_cmd request

SYNOPSIS
#include <liburing.h>

void io_uring_prep_uring_cmd(struct io_uring_sqe *sqe,
                                           int cmd_op,
                                           int fd);

DESCRIPTION

The io_uring_prep_uring_cmd(3) function prepares uring_cmd (fd specific) request. The submission queue entry sqe is setup to use the filedescriptor fd to send file descriptor specific cmd_op. The reserved fields are initialized to 0. Otherwise the caller has to set up any submission queue entry's operation specific fields.

RETURN VALUE
None

ERRORS
None

SEE ALSO
io_uring_prep_uring_cmd128(3), io_uring_get_sqe(3), io_uring_submit(3),